GET
Amenities
https://www.microburbs.com.au/report_generator/api/suburb/amenity
Retrieves information about amenities located within a suburb, including schools, green spaces, and other facilities.
Important: The suburb parameter must use the official naming convention.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
You can retrieve the official name for a suburb from the List Suburbs API Endpoint.
Click to see documentation
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| suburb | text | Required | The name of the suburb |
| geojson | boolean | Optional | Set to 'true' to include geometric shape data (default: false) |
Response Schema
| Field | Type | Description |
|---|---|---|
| results | array | Array of amenities in the suburb |
| results[].area_level | string | Area classification level (e.g., 'suburb') |
| results[].area_name | string | Name of the suburb |
| results[].category | string | Type of amenity (e.g., 'School', 'Green Spaces') |
| results[].lat | number | Latitude coordinate (point for amenities, center of shape for green spaces) |
| results[].lon | number | Longitude coordinate (point for amenities, center of shape for green spaces) |
| results[].name | string | Name of the amenity (may be empty for some green spaces) |
| results[].geometry | object | GeoJSON geometry data (only included when geojson=true); points for amenities, multipolygons for green spaces |
Request Examples
cURL
Python
JavaScript
curl -X GET "https://www.microburbs.com.au/report_generator/api/suburb/amenity?suburb=Belmont%20North" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response Example
Response
{
"results": [
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "Green Spaces",
"lat": -33.01691161625924,
"lon": 151.64648166096666,
"name": ""
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "Green Spaces",
"lat": -33.02299859302602,
"lon": 151.6770913971918,
"name": ""
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "School",
"lat": -33.025836308443836,
"lon": 151.67312046865382,
"name": "Belmont Christian College"
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "School",
"lat": -33.01980691990568,
"lon": 151.67167752400218,
"name": "Belmont North Public School"
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "Green Spaces",
"lat": -33.01500599844607,
"lon": 151.67162869820862,
"name": ""
},
{
"area_level": "suburb",
"area_name": "Belmont North",
"category": "Green Spaces",
"lat": -33.0148882299883,
"lon": 151.6750290607152,
"name": ""
}
]
}
